import torch

class Module(torch.nn.Module):

    def __init__(self, in_dim: int, out_dim: int):
        super().__init__()
        self._in_dim = in_dim
        self._out_dim = out_dim

    @property
    def in_dim(self) -> int:
        """The number of input channels."""
        return self._in_dim

    @property
    def out_dim(self) -> int:
        """The number of output channels."""
        return self._out_dim
        
    





    